import * as __WEBPACK_EXTERNAL_MODULE_lodash__ from "lodash";
import * as __WEBPACK_EXTERNAL_MODULE__getPath_mjs__ from "./getPath.mjs";
const getVariableName = (variableString)=>{
    if (!__WEBPACK_EXTERNAL_MODULE_lodash__["default"].isString(variableString)) return variableString;
    const variablePath = (0, __WEBPACK_EXTERNAL_MODULE__getPath_mjs__.getPath)(variableString);
    const list = variablePath.split('.');
    const variableName = list[0];
    return variableName;
};
export { getVariableName };
